Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class LongLinkedList

    java.lang.Object
      org.exist.util.LongLinkedList

Direct Known Subclasses:
  OrderedLongLinkedList

public class LongLinkedList
extends java.lang.Object

Nested Class Summary
`static class` | `LongLinkedList.ListItem`

Constructor Summary
`LongLinkedList()`

Method Summary
`void` | `add(long l)`
`boolean` | `contains(long l)`
`long[]` | `getData()`
`LongLinkedList.ListItem` | `getFirst()`
`long` | `getLast()`
`int` | `getSize()`
`java.util.Iterator` | `iterator()`
`LongLinkedList.ListItem` | `removeFirst()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongLinkedList

    public LongLinkedList()

Method Detail

### add

    public void add(long l)

### getSize

    public int getSize()

### getFirst

    public LongLinkedList.ListItem getFirst()

### removeFirst

    public LongLinkedList.ListItem removeFirst()

### getLast

    public long getLast()

### contains

    public boolean contains(long l)

### getData

    public long[] getData()

### toString

    public java.lang.String toString()

### iterator

    public java.util.Iterator iterator()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.